/* Copyright (C) 1992 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it without restriction.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */

#include <stdio.h>
#if defined  (AMIGA) || defined (VMS) || defined (QDOS)
/* For malloc, etc... */
#include <stdlib.h>
#include <string.h>
#endif /* AMIGA */
#ifdef QDOS
#include <ansi.h>
#endif

/* Values of special characters. */
#define TAB '\t'
#define EOL '\n'
#define BACKSLASH '\\'

#ifdef DEBUG
extern int debug;
#endif

#ifdef __GNUC__
#define INLINE __inline__
#else
#define INLINE
#endif

#ifdef VMS
# define ONE_DOT_PER_FILENAME 1
# define NODIR 1
# define PROFILE_FORMAT "%s%s"
#define SYS_BACKUP_SUFFIX "_"
# define BACKUP_SUFFIX_STR    "_"
# define BACKUP_SUFFIX_CHAR   '_'
# define BACKUP_SUFFIX_FORMAT "%s._%d_"
# define SYS_READ vms_read	/* Defined in io.c */
# ifdef VAXC
#  include <unixio.h>
# endif
#endif /* VMS */

#ifdef __MSDOS__
#define ONE_DOT_PER_FILENAME 1
#define USG   1
#define NODIR 1
#endif /* __MSDOS__ */

/* configure defines USG if it can't find bcopy */

#if !defined (AMIGA) && !defined (QDOS)
#ifndef USG
#define memcpy(dest,src,len) bcopy((src),(dest),len)
#endif
#endif /* !AMIGA */

struct file_buffer
{
  char *name;
  unsigned long size;
  char *data;
};

extern struct file_buffer *read_file (), *read_stdin ();

/* Standard memory allocation routines.  */

#if !defined (AMIGA) && !defined (VMS) && !defined (QDOS)
char *malloc ();
char *realloc ();
#endif /* !AMIGA */

/* Similar, but abort with an error if out of memory (see globs.c).  */
char *xmalloc ();
char *xrealloc ();

#ifdef QDOS
# define PROFILE_FORMAT "%s%s"
# define DIRENT 1
# define BACKUP_SUFFIX_FORMAT "%s_~%d~"
/*
 * Poor old c68 can't cope with >31 character variables !!!
 * VMS just whinges but copes
 */
# define blanklines_around_conditional_compilation blanklines_around_conditional_c
#endif

